| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Private Attributes | List of all members
PersistencySvc::ServiceEntry Class Referencefinal

`#include <src/PersistencySvc/PersistencySvc.h>`

Collaboration diagram for PersistencySvc::ServiceEntry:
[legend]

## Public Member Functions
| ServiceEntry (long type, SmartIF< IService > svc, SmartIF< IConversionSvc > cnv, SmartIF< IAddressCreator > cr)
| ServiceEntry (long type, IService *svc, IConversionSvc *cnv, IAddressCreator *cr)
| ServiceEntry (const ServiceEntry &)=default
SmartIF< IService > & | service () const
SmartIF< IConversionSvc > & | conversionSvc () const
SmartIF< IAddressCreator > & | addrCreator () const
long | svcType () const

## Private Attributes
long | m_serviceType
SmartIF< IService > | m_service
SmartIF< IConversionSvc > | m_cnvService
SmartIF< IAddressCreator > | m_addrCreator

## Detailed Description

Definition at line 52 of file PersistencySvc.h.

## Constructor & Destructor Documentation

## ◆ ServiceEntry() [1/3]

PersistencySvc::ServiceEntry::ServiceEntry | ( | long | type,
|  | SmartIF< IService > | svc,
|  | SmartIF< IConversionSvc > | cnv,
|  | SmartIF< IAddressCreator > | cr
| ) |  |
| inline

Definition at line 59 of file PersistencySvc.h.

60 : m_serviceType( type )
61 , m_service( std::move( svc ) )
62 , m_cnvService( std::move( cnv ) )
63 , m_addrCreator( std::move( cr ) ) {}
PersistencySvc::ServiceEntry::m_service
SmartIF< IService > m_service
Definition: PersistencySvc.h:54
gaudirun.type
type
Definition: gaudirun.py:142
PersistencySvc::ServiceEntry::m_cnvService
SmartIF< IConversionSvc > m_cnvService
Definition: PersistencySvc.h:55
std::move
T move(T... args)
PersistencySvc::ServiceEntry::m_serviceType
long m_serviceType
Definition: PersistencySvc.h:53
PersistencySvc::ServiceEntry::m_addrCreator
SmartIF< IAddressCreator > m_addrCreator
Definition: PersistencySvc.h:56

## ◆ ServiceEntry() [2/3]

PersistencySvc::ServiceEntry::ServiceEntry | ( | long | type,
|  | IService * | svc,
|  | IConversionSvc * | cnv,
|  | IAddressCreator * | cr
| ) |  |
| inline

Definition at line 64 of file PersistencySvc.h.

64 {
65 m_serviceType = type;
66 m_addrCreator = cr;
67 m_cnvService = cnv;
68 m_service = svc;
69 }
PersistencySvc::ServiceEntry::m_service
SmartIF< IService > m_service
Definition: PersistencySvc.h:54
gaudirun.type
type
Definition: gaudirun.py:142
PersistencySvc::ServiceEntry::m_cnvService
SmartIF< IConversionSvc > m_cnvService
Definition: PersistencySvc.h:55
PersistencySvc::ServiceEntry::m_serviceType
long m_serviceType
Definition: PersistencySvc.h:53
PersistencySvc::ServiceEntry::m_addrCreator
SmartIF< IAddressCreator > m_addrCreator
Definition: PersistencySvc.h:56

## ◆ ServiceEntry() [3/3]

PersistencySvc::ServiceEntry::ServiceEntry | ( | const ServiceEntry & |  | ) |
| default

## Member Function Documentation

## ◆ addrCreator()

SmartIF<IAddressCreator>& PersistencySvc::ServiceEntry::addrCreator | ( |  | ) | const
| inline

Definition at line 74 of file PersistencySvc.h.

74 { return m_addrCreator; }
PersistencySvc::ServiceEntry::m_addrCreator
SmartIF< IAddressCreator > m_addrCreator
Definition: PersistencySvc.h:56

## ◆ conversionSvc()

SmartIF<IConversionSvc>& PersistencySvc::ServiceEntry::conversionSvc | ( |  | ) | const
| inline

Definition at line 73 of file PersistencySvc.h.

73 { return m_cnvService; }
PersistencySvc::ServiceEntry::m_cnvService
SmartIF< IConversionSvc > m_cnvService
Definition: PersistencySvc.h:55

## ◆ service()

SmartIF<IService>& PersistencySvc::ServiceEntry::service | ( |  | ) | const
| inline

Definition at line 72 of file PersistencySvc.h.

72 { return m_service; }
PersistencySvc::ServiceEntry::m_service
SmartIF< IService > m_service
Definition: PersistencySvc.h:54

## ◆ svcType()

long PersistencySvc::ServiceEntry::svcType | ( |  | ) | const
| inline

Definition at line 75 of file PersistencySvc.h.

75 { return m_serviceType; }
PersistencySvc::ServiceEntry::m_serviceType
long m_serviceType
Definition: PersistencySvc.h:53

## Member Data Documentation

## ◆ m_addrCreator

SmartIF<IAddressCreator> PersistencySvc::ServiceEntry::m_addrCreator
| mutable private

Definition at line 56 of file PersistencySvc.h.

## ◆ m_cnvService

SmartIF<IConversionSvc> PersistencySvc::ServiceEntry::m_cnvService
| mutable private

Definition at line 55 of file PersistencySvc.h.

## ◆ m_service

SmartIF<IService> PersistencySvc::ServiceEntry::m_service
| mutable private

Definition at line 54 of file PersistencySvc.h.

## ◆ m_serviceType

long PersistencySvc::ServiceEntry::m_serviceType
| private

Definition at line 53 of file PersistencySvc.h.

The documentation for this class was generated from the following file:

- GaudiCommonSvc/src/PersistencySvc/PersistencySvc.h